Floating/Embedded QDockWidget in a QWidget (KXmlGuiWindow's CentralWidget designed in QT Designer)

I'm just trying to get into QT (and KDE) program, and have hit a snag trying to add a floatable, draggable QDockWidget to the .ui file (based as a QWidget) that is embedded into my KDE 4...

Do Qt Applications require KDE?

Do all Qt applications require KDE to be installed? Is it enough if the Qt runtime is installed along with GNOME? Can I make a Qt application look exactly like a GTK application under GNOME? Could...

API-level Unicode GUI Native apps in C++ for Windows/Linux/Mac

API-level Unicode GUI Native apps in C++ for Windows / Linux / Mac OS X. I am looking for writing a simple Unicode, GUI, Native, application, that can be run without need any non-standard library,...

How to reduce default C++ memory consumption?

I have a server application written in C++. After startup, it uses about 480 KB of memory on x86 Linux (Ubuntu 8.04, GCC 4.2.4). I think 480 KB is an excessive amount of memory: the server isn't...

hyperlinks in xml fed to flex

flash file loads text from xml. How can hyper links be used in the xml file to display them in the swf?The application i am trying to use `<?xml version="1.0"?><mindmap> <words> <word value="Next...

Expanding Qt interface if necessary

I'm working on a Qt project and I've noticed a persistent problem with some GUI forms. The form looks fine on KDE (bottom picture) and Windows , but when the app runs on anything GNOME3-based...

SDL init failure, reason is: No available video device in ubuntu 12.04 LTS

I recently upgraded my ubuntu 10.04 LTS to ubuntu 12.04 LTS. AVD stopped working afterwards in my eclipse. ERROR message: [2012-10-03 16:16:11 - xyzapp] Android Launch! [2012-10-03 16:16:11 -...

problems of installing kde runtime libraries on Linux

I am trying to install kde runtime libraries for kscope on Linux (2.6.18-308.11.1.el5). http://kscope.sourceforge.net/install.shtml I have downloaded kde-runtime-4.9.2 from...

"import babel.dates" gets me permission denied

In python, when I run import babel.dates I get a permission denied: Python 2.7.5+ (default, Jun 5 2013, 10:40:07) [GCC 4.8.1] on linux2 Type "help", "copyright", "credits" or "license" for more...

debugging ld, "Inconsistency detected by ld.so"

I am trying to use a widget library called GLV for an application I am developing. I am running Linux Mint 17. I installed all the libraries and I have succeeded in building the GLV library, but...

Unable to install Kcachegrind on ubuntu 13.10

I want to start knowing kcachegrind for profiling my php stuff. Tried with sudo apt-get install kcachegrind and sudo apt-get -f install kcachegrind but I always get The following packages...

Installing MySQL 5.6 in Ubuntu 14.04 triggers removal of needed packages

So I was trying to make a fresh installation of MySQL 5.6 on Ubuntu 14.04.2 and for some reason it tried to remove needed packages, not without first complaining about some unmet dependencies....

What does it mean when a dynamic_cast fails?

I've encountered a few cases in KDE software where a dynamic_cast of something that's a KPart fails on OS X. I'm not that much of a C++ expert, so I wouldn't even know where to begin to debug such...

Could not find the Mozilla runtime

When to try run "Firefox" in Manjaro 3.16.7.9-1- KDE i get this Error : Could not find the Mozilla runtime. How to fix it ? Thank you.

AVX and newer intrinsics with GCC on Mac; what assembler would one need?

I have been tweaking GCC 6.3.0 to get it to use the libc++ runtime instead of libstdc++ so that g++ can be used without worrying about C++ runtime...

Protobuf version conflicts with Qt

I'm trying to use protobufs v 3.3.2 with Qt 5.9.1. This works with some Qt applications, but only if they are command line programs. Once I create a GUI application with Qt and protobufs, I get...

Broken apt dependency tree

I was upgrading Ubuntu 16.04 to 17.04, when some packaged failed to upgrade. This left the apt dependency in a broken state. I tried some other answers online, but I am afraid this only...

Unable to start Hadoop (3.1.0) in Pseudomode on Ubuntu (16.04)

I am trying to follow the Getting Started guide from the Hadoop Apache website, in particular from the Pseudo distributed configuration, Getting started guide from Apache Hadoop 3.1.0 but I am...

How to properly connect with worker node in docker?

I have docker setup as 1 Manager and 1 Worker. Both node are separate machine within a same network. Initialized docker swarm in manager node and connected another PC to swarm using the docker...

Yocto sumo, meta-virtualization with vmdk

I try to build a custom linux distro with yocto sumo, that will include docker. I downloaded yocto core, and added meta-virtualization layer (from sumo branch). I am able to build and run it...

Can't build bootlader and kernel image for my DE0-Nano-SoC board

I am using poky to build a BSP for my DE0-Nano-SoC board. i got the following error. please help me on this. After using bitbake virtual/bootloader i got these: I am using poky to build a BSP for...

yocto raspberrypi showing default splash instead of raspberrypi splash

I tried to build rpi-basic-image and core-image-base ( rpi-basic-image.bb suggest to build core-image-base because rpi-basic-image is deprecated) for raspberry pi zero wifi. I am able to build and...

Gradle getting stuck at assembleDebug

I've been working on a Flutter project for the past month. I've been able to run this code successfully up to this point but now it no longer works. I believe this happened after my package...

Who is Scott? - ValueError in Seaborn pairplot: Could not convert string to float: 'scott'

Who is Scott? Problem I get the following error when trying to add the Education attribute from the Loan Prediction dataset to a pairplot using seaborn: ValueError ...

gstreamer: No such element or plugin 'v4l2sink'

The problem I am trying to execute a script. Part of it needs to execute v4l2sink. I tried to execute this gst-launch-1.0 videotestsrc ! v4l2sink device=/dev/video1 & mplayer -tv...

Why do I have to restart Intellij for it to recognize Lombok annotations?

I am using intellij & Lombok & I have annotation processor set to enabled. IntelliJ IDEA 2020.2 (Community Edition) Build #IC-202.6397.94, built on July 27, 2020 Runtime version: 11.0.7+10-b944.20...

What files need to be added to version control for a react-native project's continuous integration pipeline?

I'm adding my react-native project to version control. My intent is to configure a continuous integration pipeline using Microsoft's AppCenter. When I try to push my project to GitHub, there are a...

Proper sudoers user / session setup for xrdp and systemd-modules-load / auditd fails in a WSL2 openSUSE-Leap-15.2 environment

I've managed it to successfully run xrdp in an openSUSE-Leap-15.2 WSL 2 Linux subsystem on my Windows 10 64 PC. My Linux knowledge is not that great. I use KDE (startplasma-x11) as desktop for...

Gitlab remote: fatal: write error: No space left on device

I get the following error when I do git push -f origin master warning: redirecting to https://gitlab.iit.it/muhammad.mehdi/memex-app.git/ Enumerating objects: 1048, done. Counting objects: 100%...